Subject: Re: bug#23740: 24.5; whitespace-report: mistakenly reports empty lines

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Jul 2019 14:00:36 +0200

Pierre Neidhardt <[email-masked]> writes:

> --text follows this line--
>
> `whitespace-report' will mistakenly always report "empty lines at beginning and
> end of buffer" as long as there is at least one empty line in the file.
>
> `whitespace-cleanup' works properly however.
>
> Running `emacs -Q`:
>
> 	1
> 	RET
> 	RET
> 	2
> 	M-x whitespace-report
>
> This will make the issue apparent.

(I'm going through old Emacs bug reports that haven't received any
response.)

I get the following report in Emacs 27 in the test case, which says that
there's no empty spaces at the start or end of the buffer.  So I'm
guessing this has been fixed in the intervening years, and am closing
this bug report.  If you're still seeing this, please reopen.

 Whitespace Report

 Current Setting                       Whitespace Problem

 empty                    [X]     [ ]  empty lines at beginning of buffer
 empty                    [X]     [ ]  empty lines at end of buffer
 trailing                 [X]     [ ]  SPACEs or TABs at end of line
 indentation              [X]     [ ]  >= `tab-width' SPACEs at beginning of line
 indentation::tab         [ ]     [ ]  >= `tab-width' SPACEs at beginning of line
 indentation::space       [ ]     [ ]  TABs at beginning of line
 space-before-tab         [X]     [ ]  SPACEs before TAB
 space-before-tab::tab    [ ]     [ ]  SPACEs before TAB: SPACEs
 space-before-tab::space  [ ]     [ ]  SPACEs before TAB: TABs
 space-after-tab          [X]     [ ]  >= `tab-width' SPACEs after TAB
 space-after-tab::tab     [ ]     [ ]  >= `tab-width' SPACEs after TAB: SPACEs
 space-after-tab::space   [ ]     [ ]  >= `tab-width' SPACEs after TAB: TABs

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no